Bug 965838 - [RFE] As a SAM user, I like to be warned when syncing custom info is going to remove custom info from all my registered systems
[RFE] As a SAM user, I like to be warned when syncing custom info is going to...
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Katello Bug Bin
Bryan Kearney
: FutureFeature, Triaged
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2013-05-21 16:11 EDT by sthirugn@redhat.com
Modified: 2017-06-26 16:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 16:40:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sthirugn@redhat.com 2013-05-21 16:11:04 EDT
Description of problem:
As a SAM user, I like to be notified when syncing custom info is going to remove custom info from all my registered systems

Version-Release number of selected component (if applicable):
N/A

How reproducible:
N/A

Steps to Reproduce:
1. Navigate to SAM -> Administer -> Organizations -> Select an ORG -> Default Custom Info -> System Default Info
(Note: Select an ORG which has multiple clients subscribed to it)
2. Delete few already existing keynames
3. Click "Apply Default Info to All Systems"


Actual results:
The custom info sync process starts without any warning about removal of data from the registered systems

Expected results:
I like to be warned when syncing custom info is going to remove custom info from all my registered systems

Additional info:
Comment 1 sthirugn@redhat.com 2013-05-21 16:12:47 EDT
Note to QE: This should be tested for all default custom info functionalities: Systems, Distributors, Subscriptions.
Comment 2 Michaux Kelley 2013-10-02 16:02:26 EDT
I chatted with sthirugn on irc to confirm that this had already been fixed when I started looking at it.
Comment 4 Mike McCune 2016-03-28 18:51:39 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Bryan Kearney 2017-06-26 16:40:04 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.